Alternar vínculo do funil de projeto
curl --request POST \
--url https://api.olie.ai/api/management/project-funnel-link-toggle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": null,
"project_funnel_id": null
}
'import requests
url = "https://api.olie.ai/api/management/project-funnel-link-toggle"
payload = {
"project_id": None,
"project_funnel_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project_id: null, project_funnel_id: null})
};
fetch('https://api.olie.ai/api/management/project-funnel-link-toggle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true
}{
"response": false,
"service": "App\\Exceptions\\Services\\ProjectFunnel\\ToggleProjectFunnelLinkException",
"message": "project_funnel_not_active",
"error": "The project funnel is not active"
}project-funnels
Alternar vínculo do funil de projeto
Liga ou desliga o projeto do funil, conforme o estado atual: se ainda não estiver vinculado, vincula e já coloca o projeto na primeira etapa; se estiver, desvincula e remove o projeto de todas as etapas daquele funil. Funis inativos não aceitam vínculo. Ver Mover projetos entre etapas.
POST
/
api
/
management
/
project-funnel-link-toggle
Alternar vínculo do funil de projeto
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Sucesso
Sempre true quando a operação é concluída.
Was this page helpful?